Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
versions
curl -X POST https://api.dari.dev/v1/agents/agt_123/versions \
  -H "Authorization: Bearer $DARI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source": {
      "type": "upload"
    }
  }'
{
  "agent_id": "agt_123",
  "version_id": "ver_10",
  "agent_url": "https://api.dari.dev/v1/agents/agt_123"
}
Publishes a new agent version for an existing agent. The stable agent URL stays the same.

Path Parameters

agent_id
string
required
Agent ID.

Headers

Authorization
string
required
Bearer token using your Dari API key.
Content-Type
string
required
Must be application/json

Request Body

manifest
object
Updated manifest values for the new version.
source
object
Updated uploaded repo contents and publish input metadata.

Response Fields

agent_id
string
Agent ID.
version_id
string
New agent version ID.
agent_url
string
Stable agent URL.
curl -X POST https://api.dari.dev/v1/agents/agt_123/versions \
  -H "Authorization: Bearer $DARI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source": {
      "type": "upload"
    }
  }'
{
  "agent_id": "agt_123",
  "version_id": "ver_10",
  "agent_url": "https://api.dari.dev/v1/agents/agt_123"
}